# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%global alphatag     20130118
%global svn_revision svn4524

# Package source is take from upstream svn repository
# Use this command to generate source tarball :
# svn export -r 4524 svn://svn.tuxfamily.org/svnroot/monkeystudio/mks/v2/trunk mks-svn4524
# svn export -r 4524 svn://svn.tuxfamily.org/svnroot/monkeystudio/mks/v2/tools mks-svn4524/tools
# tar cfz mks-svn4524.tar.gz mks-svn4524

Name:           monkeystudio
Version:        1.9.0.4
Release:        7.%{alphatag}%{svn_revision}%{?dist}
Summary:        Free cross-platform Qt 4 IDE

Group:          Development/Tools
License:        GPLv3
URL:            http://www.monkeystudio.org/
Source0:        mks-%{svn_revision}.tar.gz

# Version is specified to avoid plugin problems (see #475110 C22)
BuildRequires:  qt-devel >= 4.5.2-12
BuildRequires:  qt4-webkit-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qscintilla-devel

%description
MonkeyStudio is a cross-platform Integrated Development Environment ( IDE )
aiming to become a Rapid Application Development ( RAD ) environment.
MonkeyStudio runs everywhere Qt 4.4.0 ( minimum required to build it )
is available as a shared library. It is extensible via a great and powerful
plug-in system which help make it do nearly anything you want and support
virtually any kind of project type for which a plug-in exists or is created.
The primary goal of MonkeyStudio was to manage Qt4 projects as best
as possible, it directly uses .pro files and does not create intrusive or
unsightly configuration files. MonkyStudio is also a multi language
code editor too ( JavaScript, XML, ... ).


%prep
%setup -q -n mks-%{svn_revision}

# Fix files permissions
find monkey/src -type f -exec chmod 0644 {} \;
find datas/templates/ -type f -exec chmod 0644 {} \;
find plugins/ -type f -exec chmod 0644 {} \;
chmod 0755 datas/apis/Tools/tags2api.py

# For the "hidden files" rpmlint warning
sed -i -e 's/\.ui/ui/' -e 's/\.moc/moc/' -e 's/\.rcc/rcc/' config.pri
sed -i -e 's/\.ui/ui/' -e 's/\.moc/moc/' -e 's/\.rcc/rcc/' plugins/plugins.pri

# End of file encoding
sed -i -e 's/\r//' dev-readme 'datas/templates/Python/Qt Form - Single Inheritance/$Class Name$.ui' 'datas/templates/C++/Qt Form - No Inheritance/$Class Name$.ui' 'datas/templates/Python/PyQt Gui/$Form File Name$.ui'

# UpdateChecker is removed because yum will take care of updates
sed -i -e 's/UpdateChecker//' plugins/base/base.pro

# Remove automatic doc install to let the spec file do it
sed -i -e 's/INSTALL.*monkey_docs$/INSTALLS = monkey_datas/' installs.pri

%build
%{_qt4_qmake} -r prefix=%{_prefix} plugins=%{_libdir} system_qscintilla=1
make %{?_smp_mflags}


%install
%{_qt4_qmake} -r prefix=%{_prefix} plugins=%{_libdir} system_qscintilla=1 INSTALLS-=monkey_docs
make install INSTALL_ROOT=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%files
%doc Doxyfile GPL-3 readme.txt dev-readme
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0.4-7.20130118svn4524
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 20 2015 Rex Dieter <rdieter@fedoraproject.org> 1.9.0.4-6.
- rebuild (qscintilla)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0.4-5.20130118svn4524
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0.4-4.20130118svn4524
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 08 2013 Rex Dieter <rdieter@fedoraproject.org> 1.9.0.4-3.20130118svn4524
- rebuild (qscintilla)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0.4-2.20130118svn4524
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jan 18 2013 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.9.0.4-1.20130118svn4524
- New svn checkout for 1.9.0.4

* Tue May  1 2012 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.9.0.2-1.20120501svn4458
- New svn checkout for 1.9.0.2

* Wed Feb  1 2012 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.9.0.1-3.20120201svn4347
- New svn checkout to build with gcc 4.7 

* Sat Dec 24 2011 Rex Dieter <rdieter@fedoraproject.org> 1.9.0.1-2.
- rebuild (qscintilla)

* Mon Oct 24 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.9.0.1-1.20111024svn4332
- New svn checkout (for 1.9.0.1 release that handles Qt 4.8)

* Tue Oct 11 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.9.0.0-1.20111011svn4303
- New svn checkout (for 1.9.0.0 release)

* Sat May 14 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-5.20110514svn3908
- Update svn checkout to build with qscintilla 2.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.4.0-4.20101106svn3904
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov  6 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-3.20101106svn3904
- Update svn checkout

* Sun Jun 20 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-2.20100517svn3732
- Change qt-webkit-devel require to qt4-webkit-devel

* Mon May 17 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-1.20100517svn3732
- New checkout for 1.8.4.0 post release and Qt 4.7 support

* Mon Dec 14 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.4.20091214svn3482
- Update svn checkout
- Fix #539003
- Add smp_mflags at build step, as it now works with this package

* Mon Sep 14 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.3.20090824svn3243
- Removed unused licence files

* Mon Aug 31 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.2.20090824svn3243
- Add qt-devel version to avoid plugin problems
- Removed UpdateChecker plugin compilation

* Mon Aug 24 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.1.20090824svn3243
- Now using svn

* Sat Jun 27 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.3-2
- Remove 64 bits trick
- Use qt4 macros
- Fix some files permissions

* Sun May 10 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.3-1
- Rebuild for 1.8.3.3

* Sun Feb 15 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.2-1
- Rebuild for 1.8.3.2

* Mon Dec 29 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.0-1
- Rebuild for 1.8.3.0 release

* Sun Dec  7 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.0-1.2625svn
- initital build
